<!DOCTYPE sqlMapConfig PUBLIC "-//ibatis.apache.org//DTD SQL Map Config 2.0//EN"
"http://ibatis.apache.org/dtd/sql-map-config-2.dtd">

<sqlMapConfig>

    <settings cacheModelsEnabled="true"
		      enhancementEnabled="true"
		      lazyLoadingEnabled="true"
              errorTracingEnabled="true"
              useStatementNamespaces="true"/>



    <typeHandler javaType="data.lcp.DeviceType"
                 callback="data.internal.DeviceTypeEnum"/>

    <typeHandler javaType="data.lcp.UserType"
                 callback="data.internal.UserTypeEnum"/>

    <typeHandler javaType="data.lcp.UserStatus"
                 callback="data.internal.UserStatusEnum"/>

    <sqlMap resource="data/mapper/NetworksMapper.xml"/>
    <sqlMap resource="data/mapper/SubscriberMapper.xml"/>
    <sqlMap resource="data/mapper/UserMapper.xml"/>
    <sqlMap resource="data/mapper/ModelMapper.xml"/>
    <sqlMap resource="data/mapper/ParamMapper.xml"/>
    <sqlMap resource="data/mapper/FileMapper.xml"/>
    <sqlMap resource="data/mapper/ServerMapper.xml"/>
    <sqlMap resource="data/mapper/UploadMapper.xml"/>

</sqlMapConfig>